export declare abstract class Configuration<T extends Record<string, any>> {
    register<K extends keyof T>(key: K, value: T[K]): void;
    getConfig<V>(key: string): V | undefined;
    getConfig<V>(key: string, defaultValue: V): V;
    getConfig<V>(key: string, defaultValue?: V): V | undefined;
}
